# $Id$
# Authority: dag

Summary: OpenGL image compositing library
Name: glitz
Version: 0.1.5
Release: 1.dag
License: MIT
Group: System Environment/Libraries
URL: http://glitz.freedesktop.org/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://cairo.freedesktop.org/snapshots/glitz-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: pkgconfig

%description
Glitz is an OpenGL image compositing library. Glitz provides Porter/Duff
compositing of images and implicit mask generation for geometric primitives
including trapezoids, triangles, and rectangles.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

%post
/sbin/ldconfig 2>/dev/null

%postun
/sbin/ldconfig 2>/dev/null

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_libdir}/libglitz*.so.*

%files devel
%{_includedir}/*.h
%{_libdir}/libglitz*.a
%{_libdir}/libglitz*.so
%exclude %{_libdir}/libglitz*.la
%{_libdir}/pkgconfig/glitz*.pc

%changelog
* Sun Jul 25 2004 Dag Wieers <dag@wieers.com> - 0.1.5-1
- Initial package. (using DAR)
